// import { defineConfig, MariaDbDriver } from '@mikro-orm/mariadb'
import { Migrator } from '@mikro-orm/migrations'
import { defineConfig, MySqlDriver } from '@mikro-orm/mysql'
import { TsMorphMetadataProvider } from '@mikro-orm/reflection'

import serverConfig from '#application/config'

export default defineConfig({
  extensions: [Migrator],
  metadataProvider: TsMorphMetadataProvider,
  entitiesTs: ['./src/entities/*.ts'],
  driver: MySqlDriver,
  host: serverConfig.DB_HOST,
  port: serverConfig.DB_PORT,
  user: serverConfig.DB_USER,
  password: serverConfig.DB_PASS,
  dbName: serverConfig.DB_NAME,
  debug: false,
  driverOptions: {
    allowPublicKeyRetrieval: true
  },
  migrations: {
    path: './dist/migrations',
    pathTs: './src/migrations'
  }
})
